Redmine - Defect #30359

Time entries of subtasks in other projects are not listed
2019-01-08 09:32 - Go MAEDA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Time tracking Estimated time: 0.00 hour

Target version:

Resolution:

Duplicate Affected version:

Description
When you click a link on the spent time value, you can see a list of time entries of subtasks.

But if the parent issue has subtasks from other projects, time entries from those issues don't appear on the list.

The attached patch fixes the problem.

Parent issue:

Issue 18 has two subtasks. Issue 19 is in the current project but issue 20 is in another project. You may think that you can see time
entries of those two subtasks if you click the spent time value ("16.50 h").
parent « Previous | 3 of 14 | Next »

Added by Redmine Admin about 3 hours ago.

Status: New Start date: 01/08/2019
Priority: Normal Due date:

Assignee: - % Done: 0%
Category: - Estimated time: (Total: 0.00 h)

Target version:
(Total: 16.50 h)

Database: Project 1 cf:
Related issues Add
Also available in: ) Atom | PDF

Before:

However, in Redmine 4.0.0, you cannot see time entries of issue 20 because the project is in the different project. It is confusing.
After applying the patch, time entries of issue 20 are shown as well. | think this is desirable behavior.
Related issues:

Is duplicate of Redmine - Defect #29312: Spent time report does not show all ... New

History
#1 - 2019-01-09 05:59 - Erick Joel Acuha Cotrina
- File 49202831_10157230565184658_8001696240507027456_n.jpg added

#2 - 2019-01-09 06:15 - Marius BALTEANU
- File deleted (49202831_10157230565184658_8001696240507027456_n.jpg)

#3 - 2020-03-24 14:21 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Duplicate
Closing as a duplicate of #29312.

#4 - 2020-03-24 14:21 - Go MAEDA

- Is duplicate of Defect #29312: Spent time report does not show all logged time entries with parent task in different projects added

Files

parent-issue@2x.png 59 KB 2019-01-08 Go MAEDA
time-entries-before.png 25.1 KB 2019-01-08 Go MAEDA
time-entries-after.png 30 KB 2019-01-08 Go MAEDA
spent-time-fix.diff 559 Bytes 2019-01-08 Go MAEDA
